Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.util
Class JavaScriptObjectHelper

    java.lang.Object
      com.gwtext.client.util.JavaScriptObjectHelper

    public class JavaScriptObjectHelper

extends java.lang.Object

Internal helper class.

Method Summary
`static void` | `apply(com.google.gwt.core.client.JavaScriptObject config, com.google.gwt.core.client.JavaScriptObject jsObj)`
`static com.google.gwt.core.client.JavaScriptObject` | `arrayConvert(com.google.gwt.core.client.JavaScriptObject[] array)`
`static com.google.gwt.core.client.JavaScriptObject` | `arrayConvert(java.lang.Object[] array)`
`static java.lang.Object` | `arrayGetObject(com.google.gwt.core.client.JavaScriptObject array, int index)`
`static int` | `arrayLength(com.google.gwt.core.client.JavaScriptObject array)`
`static void` | `arraySet(com.google.gwt.core.client.JavaScriptObject array, int index, com.google.gwt.core.client.JavaScriptObject value)`
`static void` | `arraySet(com.google.gwt.core.client.JavaScriptObject array, int index, java.lang.Object value)`
`static com.google.gwt.core.client.JavaScriptObject` | `convertMapToJavascriptObject(java.util.Map valueMap)`
`static Component[]` | `convertToJavaComponentArray(com.google.gwt.core.client.JavaScriptObject nativeArray)`
`static int[]` | `convertToJavaIntArray(com.google.gwt.core.client.JavaScriptObject array)`
`static com.google.gwt.core.client.JavaScriptObject` | `convertToJavaScriptArray(int[] array)`
`static com.google.gwt.core.client.JavaScriptObject` | `convertToJavaScriptArray(java.lang.Object[] array)`
`static com.google.gwt.core.client.JavaScriptObject` | `convertToJavaScriptConfigArray(Component[] components)`
`static java.lang.String[]` | `convertToJavaStringArray(com.google.gwt.core.client.JavaScriptObject array)`
`static com.google.gwt.core.client.JavaScriptObject` | `createJavaScriptArray()`
`static com.google.gwt.core.client.JavaScriptObject` | `createObject()`
`static int` | `getArrayLength(com.google.gwt.core.client.JavaScriptObject array)`
`static java.lang.String` | `getArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index)`
`static java.lang.String` | `getAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static boolean` | `getAttributeAsBoolean(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static java.util.Date` | `getAttributeAsDate(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static com.google.gwt.user.client.Element` | `getAttributeAsElement(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static float` | `getAttributeAsFloat(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static int` | `getAttributeAsInt(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static int[]` | `getAttributeAsIntArray(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static com.google.gwt.core.client.JavaScriptObject` | `getAttributeAsJavaScriptObject(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static com.google.gwt.core.client.JavaScriptObject[]` | `getAttributeAsJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static java.lang.Object` | `getAttributeAsObject(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static java.lang.String[]` | `getAttributeAsStringArray(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr)`
`static com.google.gwt.user.client.Element` | `getElementValueFromJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem, int i)` This is used to access Element array as JavaScriptObject
`static int` | `getIntArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index)`
`static int` | `getIntValueFromJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem, int i)`
`static int` | `getJavaScriptObjectArraySize(com.google.gwt.core.client.JavaScriptObject elem)`
`static java.lang.String[]` | `getProperties(com.google.gwt.core.client.JavaScriptObject jsObj)`
`static java.lang.String` | `getPropertiesAsString(com.google.gwt.core.client.JavaScriptObject jsObj)`
`static java.lang.String` | `getStringValueFromJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem, int i)`
`static com.google.gwt.core.client.JavaScriptObject` | `getValueFromJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem, int i)`
`static com.google.gwt.core.client.JavaScriptObject[]` | `listToArray(java.util.List list)`
`static void` | `setArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index, boolean value)`
`static void` | `setArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index, java.util.Date value)`
`static void` | `setArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index, double value)`
`static void` | `setArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index, float value)`
`static void` | `setArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index, com.google.gwt.core.client.JavaScriptObject value)`
`static void` | `setArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index, java.lang.Object value)`
`static void` | `setArrayValue(com.google.gwt.core.client.JavaScriptObject array, int index, java.lang.String value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, boolean value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, java.util.Date value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, java.util.Date[] values)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, double value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, float value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, Function handler)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, int value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, int[] values)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, com.google.gwt.core.client.JavaScriptObject value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, com.google.gwt.core.client.JavaScriptObject[] value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject jsObj, java.lang.String attr, java.util.Map valueMap)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, java.lang.Object value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, java.lang.String value)`
`static void` | `setAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, java.lang.String[] values)`
`static void` | `setObjectAttribute(com.google.gwt.core.client.JavaScriptObject elem, java.lang.String attr, java.lang.Object object)`
`static com.google.gwt.core.client.JavaScriptObject[]` | `toArray(com.google.gwt.core.client.JavaScriptObject array)`
`static java.lang.Boolean` | `toBoolean(boolean value)`
`static java.util.Date` | `toDate(double millis)`
`static java.lang.Double` | `toDouble(double value)`
`static com.google.gwt.user.client.Element[]` | `toElementArray(com.google.gwt.core.client.JavaScriptObject array)`
`static java.lang.Float` | `toFloat(float value)`
`static java.lang.Integer` | `toInteger(int value)`
`static java.lang.Long` | `toLong(double value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttribute

    public static java.lang.String getAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                                java.lang.String attr)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    java.lang.String value)

### getAttributeAsJavaScriptObject

    public static com.google.gwt.core.client.JavaScriptObject getAttributeAsJavaScriptObject(com.google.gwt.core.client.JavaScriptObject elem,
                                                                                             java.lang.String attr)

### getAttributeAsJavaScriptObjectArray

    public static com.google.gwt.core.client.JavaScriptObject[] getAttributeAsJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem,
                                                                                                    java.lang.String attr)

### toArray

    public static com.google.gwt.core.client.JavaScriptObject[] toArray(com.google.gwt.core.client.JavaScriptObject array)

### toElementArray

    public static com.google.gwt.user.client.Element[] toElementArray(com.google.gwt.core.client.JavaScriptObject array)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    com.google.gwt.core.client.JavaScriptObject[] value)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    int[] values)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    java.lang.String[] values)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    java.util.Date[] values)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    java.lang.Object value)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    com.google.gwt.core.client.JavaScriptObject value)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    int value)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    boolean value)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    float value)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    double value)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    Function handler)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                    java.lang.String attr,
                                    java.util.Date value)

### setObjectAttribute

    public static void setObjectAttribute(com.google.gwt.core.client.JavaScriptObject elem,
                                          java.lang.String attr,
                                          java.lang.Object object)

### getAttributeAsElement

    public static com.google.gwt.user.client.Element getAttributeAsElement(com.google.gwt.core.client.JavaScriptObject elem,
                                                                           java.lang.String attr)

### getAttributeAsInt

    public static int getAttributeAsInt(com.google.gwt.core.client.JavaScriptObject elem,
                                        java.lang.String attr)

### getAttributeAsDate

    public static java.util.Date getAttributeAsDate(com.google.gwt.core.client.JavaScriptObject elem,
                                                    java.lang.String attr)

### getAttributeAsFloat

    public static float getAttributeAsFloat(com.google.gwt.core.client.JavaScriptObject elem,
                                            java.lang.String attr)

### getAttributeAsIntArray

    public static int[] getAttributeAsIntArray(com.google.gwt.core.client.JavaScriptObject elem,
                                               java.lang.String attr)

### getAttributeAsStringArray

    public static java.lang.String[] getAttributeAsStringArray(com.google.gwt.core.client.JavaScriptObject elem,
                                                               java.lang.String attr)

### getJavaScriptObjectArraySize

    public static int getJavaScriptObjectArraySize(com.google.gwt.core.client.JavaScriptObject elem)

### getIntValueFromJavaScriptObjectArray

    public static int getIntValueFromJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem,
                                                           int i)

### getStringValueFromJavaScriptObjectArray

    public static java.lang.String getStringValueFromJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem,
                                                                           int i)

### getValueFromJavaScriptObjectArray

    public static com.google.gwt.core.client.JavaScriptObject getValueFromJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem,
                                                                                                int i)

### getAttributeAsBoolean

    public static boolean getAttributeAsBoolean(com.google.gwt.core.client.JavaScriptObject elem,
                                                java.lang.String attr)

### getAttributeAsObject

    public static java.lang.Object getAttributeAsObject(com.google.gwt.core.client.JavaScriptObject elem,
                                                        java.lang.String attr)

### listToArray

    public static com.google.gwt.core.client.JavaScriptObject[] listToArray(java.util.List list)

### arrayConvert

    public static com.google.gwt.core.client.JavaScriptObject arrayConvert(java.lang.Object[] array)

### arrayConvert

    public static com.google.gwt.core.client.JavaScriptObject arrayConvert(com.google.gwt.core.client.JavaScriptObject[] array)

### arrayLength

    public static int arrayLength(com.google.gwt.core.client.JavaScriptObject array)

### arrayGetObject

    public static java.lang.Object arrayGetObject(com.google.gwt.core.client.JavaScriptObject array,
                                                  int index)

### arraySet

    public static void arraySet(com.google.gwt.core.client.JavaScriptObject array,
                                int index,
                                java.lang.Object value)

### arraySet

    public static void arraySet(com.google.gwt.core.client.JavaScriptObject array,
                                int index,
                                com.google.gwt.core.client.JavaScriptObject value)

### getElementValueFromJavaScriptObjectArray

    public static com.google.gwt.user.client.Element getElementValueFromJavaScriptObjectArray(com.google.gwt.core.client.JavaScriptObject elem,
                                                                                              int i)

  This is used to access Element array as JavaScriptObject

### createObject

    public static com.google.gwt.core.client.JavaScriptObject createObject()

### convertToJavaScriptArray

    public static com.google.gwt.core.client.JavaScriptObject convertToJavaScriptArray(int[] array)

### convertToJavaScriptConfigArray

    public static com.google.gwt.core.client.JavaScriptObject convertToJavaScriptConfigArray(Component[] components)

### convertToJavaScriptArray

    public static com.google.gwt.core.client.JavaScriptObject convertToJavaScriptArray(java.lang.Object[] array)

### toInteger

    public static java.lang.Integer toInteger(int value)

### toLong

    public static java.lang.Long toLong(double value)

  Parameters:
    `value` -
  Returns:

### toFloat

    public static java.lang.Float toFloat(float value)

### toDouble

    public static java.lang.Double toDouble(double value)

### toDate

    public static java.util.Date toDate(double millis)

### toBoolean

    public static java.lang.Boolean toBoolean(boolean value)

### createJavaScriptArray

    public static com.google.gwt.core.client.JavaScriptObject createJavaScriptArray()

### setArrayValue

    public static void setArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                     int index,
                                     java.util.Date value)

### setArrayValue

    public static void setArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                     int index,
                                     java.lang.String value)

### setArrayValue

    public static void setArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                     int index,
                                     double value)

### setArrayValue

    public static void setArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                     int index,
                                     float value)

### setArrayValue

    public static void setArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                     int index,
                                     boolean value)

### setArrayValue

    public static void setArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                     int index,
                                     com.google.gwt.core.client.JavaScriptObject value)

### setArrayValue

    public static void setArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                     int index,
                                     java.lang.Object value)

### getArrayValue

    public static java.lang.String getArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                                 int index)

### getIntArrayValue

    public static int getIntArrayValue(com.google.gwt.core.client.JavaScriptObject array,
                                       int index)

### getArrayLength

    public static int getArrayLength(com.google.gwt.core.client.JavaScriptObject array)

### convertToJavaIntArray

    public static int[] convertToJavaIntArray(com.google.gwt.core.client.JavaScriptObject array)

### convertToJavaStringArray

    public static java.lang.String[] convertToJavaStringArray(com.google.gwt.core.client.JavaScriptObject array)

### convertToJavaComponentArray

    public static Component[] convertToJavaComponentArray(com.google.gwt.core.client.JavaScriptObject nativeArray)

### apply

    public static void apply(com.google.gwt.core.client.JavaScriptObject config,
                             com.google.gwt.core.client.JavaScriptObject jsObj)

### setAttribute

    public static void setAttribute(com.google.gwt.core.client.JavaScriptObject jsObj,
                                    java.lang.String attr,
                                    java.util.Map valueMap)

### convertMapToJavascriptObject

    public static com.google.gwt.core.client.JavaScriptObject convertMapToJavascriptObject(java.util.Map valueMap)

### getProperties

    public static java.lang.String[] getProperties(com.google.gwt.core.client.JavaScriptObject jsObj)

### getPropertiesAsString

    public static java.lang.String getPropertiesAsString(com.google.gwt.core.client.JavaScriptObject jsObj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD